<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS ...." name="description" />
    <meta content="EndeavourOS, Flatpak, Linux" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />
    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Flatpak - instalace a správa aplikací</title>
</head>

<body>
    <?php require "assets/header.php" ?>
    <main>
        <section class="welcome">
            <h1>Flatpak - instalace a správa aplikací</h1>
            <img alt="" class="qt" src="img/cardboard_box-1.webp" />
            <h2>Instalace Flatpak:</h2>
            <p>
                Protože podpora Flatpak není standardně v EndeavourOS ani ArchLinuxu
                nainstalována, musí být nejprve provedena instalace některých balíčků
                z repozitářů a konfigurace.
            </p>
            <p>
                1. Otevřete terminál a ujistěte se, že je vaše instalace aktuální
                zadáním:
            </p>
            <p><code>sudo pacman -Syu</code></p>
            <p>2. Po dokončení aktualizace musíme nainstalovat podporu Flatpak.</p>
            <p>
                <code><strong>sudo pacman -S flatpak</strong></code>
            </p>
            <p>
                Nezapomeňte v procesu instalace zkontrolovat správný balíček
                xdg-desktop-platform!
            </p>
            <p>
                V případech na některých počítačích (kromě Gnome a KDE) se nainstaluje
                jako výchozí <code><strong>xdg-desktop-platform-gnome</strong></code>, možná budete potřebovat ten,
                který vyhovuje vaší ploše/WM při
                používání.
            </p>
            <img alt="" class="qt" src="img/2024-04-20 12-04-59.png" />
            <p>
                ❗<code><strong>xdg-desktop-portal-gnome</strong> bude fungovat pouze na
            plochách GNOME a může způsobit spoustu problémů na jiných
            plochách!</code>
            </p>
            <p>
                3. Aby byla instalace softwaru snazší, musíme přidat výchozí úložiště
                Flatpak. Vezměte prosím na vědomí, že
                <code><strong>sudo</strong></code> již není potřeba. Pokud se použije
                <code><strong>sudo</strong></code>, uživatel nebude mít přístup k úložišti ani k žádným nainstalovaným
                aplikacím.
            </p>
            <p>
                <code><strong
            >flatpak remote-add --if-not-exists flathub
                https://dl.flathub.org/repo/flathub.flatpakrepo</strong
            ></code>
            </p>
            <p>
                Na rozdíl od Snaps mohou vývojáři hostovat své vlastní úložiště. Lze
                jej přidat provedením následujícího příkazu:
            </p>
            <p>
                <code><strong
            >flatpak remote-add --if-not-exists (repository name) (repository
                url)</strong
            ></code>
            </p>
            <p>
                Ujistěte se, že jsou položky v závorkách nahrazeny požadovanými
                informacemi.
            </p>
            <p>Restartujte systém, aby byla povolena podpora Flatpak.</p>
            <p>
                <code><strong>systemctl reboot</strong></code>
            </p>
            <h2>Instalace aplikací</h2>
            <p>
                Nyní jste připraveni nainstalovat aplikaci ve Flatpak. K tomu
                potřebujeme znát název balíčku, který chcete nainstalovat. V tomto
                příkladu budeme instalovat aplikaci Spotify.
            </p>
            <p>
                Článek byl převzat z
                <a href="https://discovery.endeavouros.com/applications/flatpak-enabling-and-application-management/2021/03/"
                    target="_blank">Discovery</a>
                EndeavourOS, data 29. Březen 2021.
            </p>
            <p>
                1. Chcete-li zjistit přesný název balíčku v knihovně Flatpak, otevřete
                terminál a zadejte:
            </p>
            <p>
                <code><strong>flatpak search spotify</strong></code>
            </p>
            <p>Výsledek bude vypadat podobně:</p>
            <img alt="" class="qt" src="img/2024-04-20 14-02-29.png" />
            <p>
                Z výsledků vyhledávání vidíme, že název balíčku pro Spotify je
                <code><strong>com.spotify.Client</strong></code>
            </p>
            <p>
                Můžete také přejít na webovou stránku Flathub
                <a href="https://flathub.org/home" target="">https://flathub.org/home</a>
                a vyhledat aplikaci tam. Na stránce aplikace se zobrazí název balíčku
                pro daný program.
            </p>
            <p>
                2. Nyní, když známe název balíčku, můžeme jej nainstalovat zadáním:
            </p>
            <p>
                <code><strong>flatpak install com.spotify.Client</strong></code>
            </p>
            <p>
                ❗<strong>Nepoužívejte</strong> <code><strong>sudo</strong></code> při
                spuštění výše uvedeného příkazu. Pokud jsou pro instalaci potřeba
                práva root, budete vyzváni k zadání hesla uživatele root.
            </p>
            <p>
                3. Nyní můžete spustit program normálním způsobem z nabídky programů.
            </p>
            <h3>Poznámka:</h3>
            <p>
                Během procesu instalace by měla být v nabídce programů umístěna ikona
                programu. Pokud tomu tak není, možná budete muset spustit program z
                terminálu jednou. Chcete-li to provést, v typu terminálu:
            </p>
            <p>
                <code><strong>flatpak run com.spotify.Client</strong></code>
            </p>
            <p>
                To by mělo umístit ikonu do nabídky programů. Pokud tomu tak není,
                může být vyžadováno odhlášení nebo restart.
            </p>
            <h2>Aktualizace a odinstalace aplikací</h2>
            <p>
                Chcete-li aktualizovat aplikaci nainstalovanou pomocí Flatpak,
                otevřete terminál a zadejte:
            </p>
            <p>
                <code><strong>flatpak update</strong></code>
            </p>
            <p>
                Tím se aktualizují všechny aplikace Flatpak a jejich související
                knihovny.
            </p>
            <p>
                Chcete-li odinstalovat aplikaci nainstalovanou pomocí Flatpak,
                otevřete terminál a zadejte:
            </p>
            <p>
                <code><strong>flatpak uninstall (název aplikace)</strong></code>
            </p>
            <p>Pro náš příklad pomocí Spotify bychom napsali:</p>
            <p>cocde: <code>flatpak uninstall com.spotify.Client</code></p>
            <h3>Více informací:</h3>
            <p>
                Výše uvedené kroky jsou pouze základy potřebné k instalaci a správě
                aplikací Flatpak v systému. Pro více informací se podívejte na Flatpak
                Command Reference, který se nachází zde:
                <a href="https://docs.flatpak.org/en/latest/flatpak-command-reference.html"
                    target="_blank">https://docs.flatpak.org/en/latest/flatpak-command-reference.html</a>
            </p>
            <p>
                Návod je převzat z
                <a href="https://discovery.endeavouros.com/applications/flatpak-enabling-and-application-management/2021/03/"
                    target="_blank">Discovery</a>
                na EndeavourOS vydán 29. března 2021.
            </p>
            
            <p>
                <code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                20.4.2024</code>
            </p>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php" ?>
    <script src="assets/script.js"></script>
</body>

</html>